Bug 404421 - kmail changes font size
kmail changes font size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 09:26 EST by Steve Grubb
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.5.8-10.svn20071129.ent.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 15:02:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2007-11-29 09:26:42 EST
Description of problem:
When browsing my email, the font size used to display email will suddenly
increase. It never goes back to its original size without shutting down kmail.
This bothers me since I don't think an email from an untrusted source should
affect global kmail settings. This could be indicative of a security hole.

Version-Release number of selected component (if applicable):
kdepim-3.5.8-5.svn20071013.ent.fc8

How reproducible:
every time

Steps to Reproduce:
1. Just start reading email on fedora-devel list

Actual results:
Fonts get bigger over time

Expected results:
fonts stay the same.
Comment 1 Kevin Kofler 2007-11-29 11:14:28 EST
There's a reason KMail doesn't display HTML by default (unless you click 
something explicitly). :-) But the font size set by one mail still shouldn't 
affect the next one, you're definitely right there. I think upstream is the 
best place to report this though.
Comment 2 Steve Grubb 2007-11-29 11:54:03 EST
I don't have html email enabled because that is a security risk. I do not click
on html email, I instead delete it.
Comment 3 Kevin Kofler 2007-11-29 12:03:26 EST
So the font size changes on text-only mail?! Ouch, that sounds fairly bad 
indeed.
Comment 4 Rex Dieter 2007-11-29 19:56:51 EST
Can you try out this test (F8) build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=26132
Comment 5 Fedora Update System 2007-12-03 00:34:58 EST
kdepim-3.5.8-10.svn20071129.ent.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdepim'
Comment 6 Fedora Update System 2007-12-12 15:02:34 EST
kdepim-3.5.8-10.svn20071129.ent.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.